summaryrefslogtreecommitdiff
path: root/debian/tests/python3
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python3')
-rwxr-xr-xdebian/tests/python38
1 files changed, 8 insertions, 0 deletions
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..132b0c4
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e -u
+cd "$ADTTMP"
+
+for python in $(py3versions -i); do
+ PYTHONWARNINGS=d $python -m PyMca5.tests.TestAll 2>&1
+done
+